<?php 
// Include main file
include_once('../libs/main.php');
// Check admin Login
include_once('checkLogin.php');
// Logical section of page
$countryObj =  new  country();

$adminlogObj = new admin_log();
$modulepagesObj = new module_pages();

$filename=basename($_SERVER['SCRIPT_FILENAME']);
if($filename == 'countrylist.php')
{
    $module_id = $adminlogObj->getModuleId($filename);
    $page_id = $adminlogObj->getPageId($filename);
    $allpages = $modulepagesObj->fromId($page_id);
    $pagename = $allpages->page;

}

if(isset($_REQUEST['act']) && $_REQUEST['act']=='change_status' && isset($_REQUEST['country_id'])){
    if(isset($_REQUEST['status'])){
        
        $countryDetail = $countryObj->fromId($_REQUEST['country_id']);
        if($countryDetail->country_status == 'active')
        {
            $old_status = 'Active';
        }else{
            $old_status = 'Inactive';
        }

        if($_REQUEST['status'] == '1')
        {
            $country_status = 'active';
            $new_status = 'Active';
        }else{
            $country_status = 'inactive';
            $new_status = 'Inactive';
        }
        //$countryObj->changeStatus($_REQUEST['country_id']);

        $id=$_REQUEST['country_id'];
        $data['country_status'] = $country_status;
        $rs=$countryObj->updateRecords($data,$id);

        $countryDetail = " <b>Country Status</b>: "." ".$old_status." <b>To</b> ".$new_status." ";
        
        $admin_log = $adminlogObj->addAdminLog($_SESSION['admin_id'],$module_id,$page_id,$pagename,$countryDetail);

        echo RECORD_STATUS;
    }
    return true;
}
if(isset($_REQUEST['act']) && $_REQUEST['act']=='delete' && isset($_REQUEST['user_id'])){
    $countryObj->deleteFromId($_REQUEST['country_id']);
    $successMsg = base64_encode(RECORD_DELETE);
}
if(isset($_REQUEST['action']) && $_REQUEST['action']!=''){
    if($_REQUEST['action']=="activate_all"){
        $data=array("country_status" => 'active');

        $chk_data = $_POST['check'];
        foreach($chk_data as $akey => $val_actchk)
        {
            $old_data = $countryObj->fromId($val_actchk);
            if($old_data->country_status == 'active')
            {
                $old_status = 'Active';
            }else{
                $old_status = 'Inactive';
            }

            if($old_data->country_status != 'active')
            {
                $new_status = 'Active';
                $countrydata = " <b>Status</b>: "." ".$old_status." <b>To</b> ".$new_status." ";
                $admin_log = $adminlogObj->addAdminLog($_SESSION['admin_id'],$module_id,$page_id,$pagename,$countrydata);
            }
        }
        $rs = $countryObj->updateManyRecords($data, $_POST['check']);
        $successMsg = base64_encode(RECORD_ALL_ACTIVE);
    }else if($_REQUEST['action']=="inactivate_all"){
        $data=array("country_status" => 'inactive');

        $chk_data = $_POST['check'];
        foreach($chk_data as $akey => $val_actchk)
        {
            $old_data = $countryObj->fromId($val_actchk);
            if($old_data->country_status == 'inactive')
            {
                $old_status = 'Active';
            }else{
                $old_status = 'Inactive';
            }

            if($old_data->country_status != 'inactive')
            {
                $new_status = 'Inactive';
                $countrydata = " <b>Status</b>: "." ".$old_status." <b>To</b> ".$new_status." ";
                $admin_log = $adminlogObj->addAdminLog($_SESSION['admin_id'],$module_id,$page_id,$pagename,$countrydata);
            }
        }
        $rs = $countryObj->updateManyRecords($data, $_POST['check']);
        $successMsg = base64_encode(RECORD_ALL_INACTIVE);
    }else if($_REQUEST['action']=="delete_all"){

        $chk_del = implode(",",$_POST['check']);
        $countrydata = " <b>Delete Id</b>: "." ".$chk_del;
        $admin_log = $adminlogObj->addAdminLog($_SESSION['admin_id'],$module_id,$page_id,$pagename,$countrydata);

        $rs = $countryObj->deleteManyRecords($_POST['check']);
        $successMsg = base64_encode(RECORD_ALL_DELETE);
    }
}

if (isset($_REQUEST['act']) && $_REQUEST['act']=='load'){
    
    $records = $_REQUEST['length'];
    $start=0;
    if(isset($_GET['start']) && $_GET['start']!='0'){
        $page = $_GET['start'];
    }
    $start=($page-1)*$limit;
    $limit = array('start'=>$_GET['start'],'record'=>$records);
    
    $where = " 1=1 ";

    
    
    if(isset($_REQUEST['country_id']) && $_REQUEST['country_id'] != '')
    {
        $where .= " AND country_id = '".$_REQUEST['country_id']."'";
    }
    
    if(isset($_REQUEST['country_name']) && $_REQUEST['country_name'] != '')
    {
        $where .= " AND  country_name = '".$_REQUEST['country_name']."' ";
    }
    
    if(isset($_REQUEST['country_status']) && $_REQUEST['country_status'] != '')
    {
        $where .= " AND  country_status = '".$_REQUEST['country_status']."' ";
    }
    
    if (isset($_REQUEST['search']['value']) && $_REQUEST['search']['value']!=""){
        $where = " country_id LIKE '%".$_REQUEST['search']['value']."%' OR country_name LIKE '%".$_REQUEST['search']['value']."%' OR country_status LIKE '%".$_REQUEST['search']['value']."%' ";
    }    
    

    $orderFields = array('country_id');    
    
    // Array of order by 
    $orderby=array();
    if (isset($_REQUEST['order']['0']['column']) && $_REQUEST['order']['0']['column']!=""){
        $orderby = array(" ".$orderFields[$_REQUEST['order']['0']['column']]." ".$_REQUEST['order']['0']['dir']);
    }else{
        $orderby = array(" country_id desc ");
    }
    //print_r($orderby);exit;
    $data    = array('where' => $where,'limit' => $limit, 'orderBy'=>$orderby);

    $countryDetails = $countryObj->getAllRecords($data);

    $recordsTotal   =   $countryObj->getAllCount($data);

        
    if ($countryDetails && count($countryDetails)>0){
        foreach ($countryDetails as $key => $country){

            

            if($country->country_status == 'active'){
              $status = '<a href="javascript:void(0)" onclick="change_status('.$country->country_id.',0)" title="Inactivate"><span class="badge badge-success">Active</span></a>';
            }else{
              $status = '<a href="javascript:void(0)" onclick="change_status('.$country->country_id.',1)" title="Activate"><span class="badge badge-danger">Inactive</span></a>';
            }
            
            
            $action = '<a href="countryadd.php?act=edit&country_id='.$country->country_id.'" class="btn btn-success white-btn"><i class="nav-icon i-Pen-2 "></i></a>';

            $response[] = array('<input type="checkbox" name="check[]" id="check[]" value="'.$country->country_id.'" class="check_class" />',
                    $country->country_id, 
                    $country->country_name,
                    $country->country_shortcode,
                    "<div id='td_status_".$country->country_id."'>".$status."</div>",
                    $action,
                    
             );
        }
        $result=array('recordsFiltered'=>$recordsTotal,'recordsTotal'=>$recordsTotal,'data'=>$response);
    }else{
        $result=array('recordsFiltered'=>0,'recordsTotal'=>0,'data'=>array());
    }
    echo json_encode($result);
    exit;
}

// Include Template 
include_once('../libs/routs.php');
?>